landscape-client (23.08-0ubuntu3) noble; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/rules: avoid stopping services on upgrade (LP: #2027613)
  * Re-enable build-time test suite (LP: #2044181)
    - d/rules: enable test suite during build
    - d/control: build-depend on python3-pycurl, python3-netifaces,
        python3-yaml, ubuntu-advantage-tools, locales-all
    - d/p/0002-fix-broken-build-tests.patch: add mocks to snapd-related tests;
        use existing directory if HOME does not exist
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Tue, 28 Nov 2023 11:40:17 -0800

landscape-client (23.08-0ubuntu2) noble; urgency=medium

  * d/landscape-common.postint: ensure sysinfo cache file exists and is globally
    read-write (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 23 Nov 2023 14:28:14 -0800

landscape-client (23.08-0ubuntu1) mantic; urgency=medium

  * New upstream release 23.08
    - Restructure landscape-config wizard (LP: #2031673)
    - Add SnapMonitor, SnapManager, and related machinery (LP: #2031682)
    - Limit message data directory size (LP: #2004591)
    - Add zfs and btrfs to stable fs-lists (LP: #1499104)
    - Test for broken control file (LP: #1813442)
    - Config man page and help info fixes (LP: #1662222)
    - Removed unnecesary select to the database (LP: #1994951)
    - Last apt-key removal (LP: #1990435)
    - Added a logging level check to provide a better error (LP: #2027521) 
    - Broker is able to bootstrap the landscape-client folder (LP: #1868730)
    - Changed gpg file name to be less generic (LP: #2008432)
    - Improve Dependency data is read from the deb packages (LP: #1813442)
    - Fix error in swift plugin (LP: #2031674)
    - Repository profiles do not overwrite all configurations (LP: #2031680)
    - Remove old plugins (LP: #1989968)
    - Send ubuntu pro reboot output (LP: #2031684)

 -- Kevin Nasto <kevin.nasto@canonical.com>  Thu, 17 Aug 2023 13:41:21 -0500

landscape-client (23.02-0ubuntu1) lunar; urgency=medium

  * New upstream release 23.02:
    - Preventing the generation of large messages and logs that can overwhelm
      Landscape Server (LP: #1995775)
    - Improved MOTD slowdown on machines with many tap network interfaces
      (LP: #2006396)
    - No longer using deprecated apt-key when storing trusted GPG keys
      (LP: #1973202)
    - Fixed issue recognising Parallels VMs as Virtual Machine clients
      (LP: #1827909)
    - Fixes for incorrect logfile rotation config (LP: #1968189)
    - Client-side backoff handling to moderate traffic to Landscape Server
      during high load (LP: #1947399)
    - Avoid sending empty messages when catching up to expected next message
      (LP: #1917540)
    - --is-registered CLI option to quickly check if client is registered
      (LP: #1912516)
    - Can now report Ubuntu Pro attachment information if the version of
      Landscape Server it is registered to supports this (LP: #2006401)
    - Packages installed as dependencies as part of package profiles are now
      appropriately autoremovable (LP: #1878957)
    - Registration timeouts give an error instead of timing out (LP: #1889464)
    - RHEV hypervisor VMs are now recognized as virtual machines (LP: #1884116)
    - Doing a Landscape-driven release upgrade from a release running python 2
      to one running python 3 no longer hangs forever (LP: #1943291)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 08 Feb 2023 10:23:31 -0800

landscape-client (19.12-0ubuntu13) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper, d/landscape-common.postrm: avoid too
    frequent expensive operations (LP: #1893716)
    - use a cache file and refresh it only once per minute
    - use a single printf to format output
    - if the former info was useful and we'd replace it with "sorry, load to
      high" skip that update
    - remove the cache file on purge

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Mar 2022 12:32:38 +0200

landscape-client (19.12-0ubuntu12) jammy; urgency=medium

  * d/p/lp1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 09 Mar 2022 11:02:22 -0500

landscape-client (19.12-0ubuntu11) jammy; urgency=medium

  * debian/patches/1962539_twisted_py3.patch:
    Fix obsolete imports on jammy. (LP: #1962539)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 02 Mar 2022 18:29:37 -0500

landscape-client (19.12-0ubuntu10) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:32:25 +0200

landscape-client (19.12-0ubuntu9.1) hirsute; urgency=medium

  * Replace deprecated tostring() call with tobytes(). (LP: #1911050)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Apr 2021 14:59:38 -0700

landscape-client (19.12-0ubuntu9) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:44:11 +0100

landscape-client (19.12-0ubuntu8) hirsute; urgency=medium

  * d/p/0003-clean-publisher-shutdown.patch:
    Let publisher services shutdown cleanly (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 01 Mar 2021 21:00:40 -0500

landscape-client (19.12-0ubuntu7) hirsute; urgency=medium

  * Switch from depreated base64.decodestring to base64.decodebytes to fix
    FTBFS with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 10:35:48 +0000

landscape-client (19.12-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:52 +0100

landscape-client (19.12-0ubuntu5) groovy; urgency=medium

  * d/landscape-client.service (LP: #1870087)
    - Set KillMode on service to avoid killing dpkg
      through self-upgrade.

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 27 Apr 2020 16:13:02 +0000

landscape-client (19.12-0ubuntu4) focal; urgency=medium

  * d/p/0002-lp1870087-stale-locks.patch:
    Clean stale twisted lock files (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 14 Apr 2020 11:07:41 -0400

landscape-client (19.12-0ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:59 +0000

landscape-client (19.12-0ubuntu2) focal; urgency=medium

  * Handle EINVAL error of SIOCETHTOOL ioctl (LP: #1855522)
    The error occurs on WSL (1) and causes an error showing up in MOTD.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 07 Dec 2019 15:52:03 +0100

landscape-client (19.12-0ubuntu1) focal; urgency=medium

  * New upstream release 19.12:
    - Modernized packaging.
    - Added support for python-apt 1.9
    - Converted init script to systemd service.
    - Set default value if data_path is missing. (LP: #1728681)
    - Sysinfo: add support for multiple IPv6 addresses per interface.
      (LP: #829379)
    - Clear hash id database on package resync. (LP: #1616116)
    - Permit environments containing unicode chars for script execution.
      (LP: #1765518)
    - Set LANG in sysinfo wrapper. (LP: #1780071)
    - Avoid leaking memory through unused twisted logs. (LP: #1685885)
    - Handle unicode apt-sources-replace (LP: #1771443)
    - Add simfs to the whitelist of watched file-systems (LP: #1499104)
    - Return non-blank message when tasks already performed. (LP: #928933)
    - Overrid apt progress pulse(). (LP: #1758529)
    - Improvements on vm_info detection (LP: #1754073) (LP: #1799843)
      (LP: #1828217)
    - Remove the landscape url from motd output by removing LandscapeLink
      from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 04 Dec 2019 14:12:24 +0000

landscape-client (18.03-0ubuntu1) bionic; urgency=medium

  * New trunk build
  * Remove the landscape url from motd output by removing LandscapeLink
    from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 01 Mar 2018 11:14:02 -0300

landscape-client (18.01-0ubuntu1) bionic; urgency=medium

  * New upstream release 18.01:
    - Ported to python3 (LP: #1577850)
    - move Replaces/Breaks landscape-client-ui rules to landscape-common
      (LP: #1560424)
    - Add a libpam-systemd Depends if built for xenial (LP: #1590838)
    - Some units not reporting swift usage (LP: #1588404)
    - Fix missing install directories for landscape-common and drop
      usr/share/landscape as its only used and created by landscape-client.
      (LP: #1680842)
    - Fix VM detection for Xen, by returning "xen" only for paravirtualized and
      HVM hosts, not for dom0. (LP: #1601818)
    - Add an indication of truncation to process output that has been truncated
      prior to delivery to the server. (LP: #1629000)
    - add /snap/bin to the PATH when executing scripts. (LP: #1635634)
    - Save the original sources.list file when a repository profile is
      associated with a computer and restore it when the profile is removed.
      (LP: #1607529)
    - Drop the legacy HAService plugin, which is no longer used.
    - Avoid double-decoding package descriptions in build_skeleton_apt, which
      causes an error with Xenial python-apt. (LP: #1655395)
    - Remove dead dbus code and textmessage (confirmed not supported in server
      for ~2 years). (LP: #1657372)
    - Move bzr-builddeb conf file from deprecated location to debian/
      (LP: #1658796)
    - Support for new server error message about there being too many pending
      computers already (LP: #1662530)
    - Add a timestamp to the package reporter result (LP: #1674252)
    - Check if ubuntu-release-upgrader is running before apt-update (LP: #1699179)
    - Implicitly trust file-local sources managed by landscape. On upgrades,
      add the trusted flag to the landscape file-local apt source file if it's
      not there. (LP: #1736576)
    - Use local system tools to change the user's password (LP: #1743558)
  * clean up packaging and getting in sync with the new landscape version:
    - d/rules: drop extra:suggests which is unused since 13.07.1-0ubuntu2
    - Remove antique postinst code. No supported landscape-client version
      installs cronjobs anymore (since a long time).
    - d/landscape-client.docs: the README file is now a markdown file, so
      install that instead.
    - d/landscape-common.postinst: no need to single out
      /var/lib/landscape/.gnupg when fixing ownerships, just do it over
      the entire parent directory.
    - guard user and group removal via an empty .cleanup.* file in post, so we
      only remove the user/group if we were the ones who created them at
      install time.
    - lintian: remove absolute path from update-motd calls in maintainer
      scripts
    - d/rules: drop special handling for dapper, hardy and lucid, which are no
      longer supported.
    - d/rules: make sure we have an "extra:Depends=" in substvars even if it's
      empty
    - d/rules: drop dh_pycentral handling, it's obsolete
  * Dropped (already included in this version):
    - d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
      Sets vm_info to kvm for new AWS EC2 C5 instances. (LP #1742531)
    - d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
      Sets vm_info to kvm for digitalocean instances. (LP #1743232)
    - Add proxy handling to package reporter. (LP #1531150)
    - Fix regression in configuration hook under install-cd chroot (LP #1699789)
    - Report autoremovable packages (LP #1208393)
    - Do not re-register client by default (LP #1618483)
    - Don't report packages that are coming from backports, so that Landscape
      doesn't try to upgrade to versions of packages that are in backports.
      (LP #1668583)
    - Cope with an api change in python-swift that broke swift storage
      reporting in Autopilot. (LP #1563565)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Feb 2018 18:04:05 -0300

landscape-client (16.03-0ubuntu1) xenial; urgency=medium

  * New upstream release 16.03:
    - Drop UI packages for xenial (LP: #1557502)
    - Fix xenial test failures (LP: #1548946, #1551892)
    - Fix curl test failures (LP: #1462427)
    - Fix user listing on server (LP: #1508110, #1532887, #1508110, #1508110)
    - Add support for s390x CPU arch (LP: #1541074)
    - Fix creating a file before the parent directory exists (LP: #1546743)
    - Add more information about ssl errors during registation (LP: #1409700)
    - Retry apt-get update on errors (LP: #1398090)
    - Better SSL error and user interaction
    - Don't retry package operations in the case of a system error
      (LP: #1444419)
    - Fix container detection under systemd (LP: #1449920)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 18 Jan 2016 13:30:49 -0200

landscape-client (15.06-0ubuntu1) wily; urgency=medium

  * New upstream version (LP: #1461123)
    - Fix container detection on Vivid hosts. (LP: #1449920)
    - Don't retry package operations if a SystemError is raised.
      (LP: #1444826)
    - Retry apt-get update when error 100 is returned. (LP: #1398090)
    - Better SSL error messages. (LP: #1409700)
    - Internal refactoring for better SSL user experience in the future.
      (LP: #1434546, LP: #1429888, LP: #1428826)

 -- David Britton <david.britton@canonical.com>  Tue, 02 Jun 2015 12:13:31 -0600

landscape-client (14.12-0ubuntu1) vivid; urgency=medium

  * New upstream version:
    - Fix regression occurring when performing Landscape-driven release
      upgrades (LP: #1389686)
    - Fix regression occurring when switching the client between different
      Landscape servers (LP: #1376134)
    - Support reporting QEMU virtualization (LP: #1374501)
    - Bump Juju integration message format (LP: #1369635, LP: #1362506)
    - Drop provisioning registration message (LP: #1344054)
    - Drop cloud registration message (LP: #1342646)
    - Fix handling broken packages (LP: #1326940)
    - Add new Swift usage message type (LP: #1320236)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to
      send a message (LP: #1401867)

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Fri, 12 Dec 2014 16:43:56 +0300

landscape-client (14.01-0ubuntu3) trusty; urgency=medium

  * landscape-sysinfo should ignore non existent or unreadable default
    config files. (LP: #1293990)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Mar 2014 10:20:01 -0300

landscape-client (14.01-0ubuntu2) trusty; urgency=low

  * Added missing python-configobj dependency to -common (LP: #1283716)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Feb 2014 09:43:33 -0300

landscape-client (14.01-0ubuntu1) trusty; urgency=low

  * New upstream release: 14.01
  * Dropped unity-control-center patch, already applied upstream

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Feb 2014 12:03:20 -0300

landscape-client (13.07.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/unity-control-center.patch:
    - Show in both GNOME control center and Unity control center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jan 2014 10:44:27 +1300

landscape-client (13.07.3-0ubuntu1) saucy; urgency=low

  * New release: 13.07.3
    - The metadata.d/ directory was renamed to annotations.d/ (LP: #1226087)
    - Metadata exchange mechanism now uses the less ambiguous term
      "annotations" instead of "metadata". (LP: #1226597)

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Wed, 18 Sep 2013 11:42:28 +0200

landscape-client (13.07.1-0ubuntu2) saucy; urgency=low

  * New upstream version (LP: #1190510)
   - New metadata exchange mechanism allows clients to send any key-value data
     to the landscape server (LP: #1123932)
   - Network devices now report their maximum theoretical speeds, and duplex
     status to landscape-server (LP: #1126330, LP: #1130130)
   - Landscape.client is now HA aware when HA is implemented using juju
     charms (LP: #1122508)
   - The landscape client will now trigger a reboot if server sends a
     reboot-required message. (LP: #1133005)
   - Big AMP code cleanup and refactoring in order to improve testing, improve
     performance and ease future maintainability (LP: #1165047, LP: #1169102,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669)
   - Added logic to detect cloned (virtual) computers (LP: #1161856)
   - The landscape-client and landscape-common packages do not use or depend
     on dbus code anymore, and the dependencies to python-gi and gudev are
     dropped. The hardware info plugin now looks at /proc instead of querying
     DBus (LP: #1175553, LP: #1180691)
   - The ceph manager plugin is now a monitor plugin and thus does not require
     root privileges anymore. (LP: #1186973)
   - The detection logic for virtual machine was changed to account for the
     different semantics between Openstack Folsom and Grizzly, and was
     expanded to detect more hypervisors (LP: #1191843)
   - Removed legacy upgrader code from postinst since support for it was
     dropped.
   - French translation patches were removed since the changes were merged
     upstream.
   - Removed legacy upgrader from postinst.
   - The /etc/dbus-1/system.d/landscape.conf file was moved from the
     landscape-common package to the landscape-client-ui as part of
     LP: #1175553, LP: #1180691. The added "Replaces:" stanza does not need
     an equivalent "Breaks:" since packages depend on each other with a
     strictly equal version number, avoiding the case described in
     http://www.debian.org/doc/debian-policy/footnotes.html#f53

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Fri, 9 Aug 2013 17:01:28 +0200

landscape-client (12.12-0ubuntu3) raring; urgency=low

  * Fixed sed command that updated registration_key (LP: #1131355).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Feb 2013 16:35:46 -0300

landscape-client (12.12-0ubuntu2) raring; urgency=low

  * Added some fixes to the French translation file.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Jan 2013 11:46:22 -0200

landscape-client (12.12-0ubuntu1) raring; urgency=low

  * New upstream release
  * Slightly better regexp to change registration_password to
    registration_key during upgrades.
  * Detect Microsoft Hyper-V virtualization (LP: #1087185).
  * Prevent Apport from generating crash reports when dpkg returns an error
    (LP: #1076150).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 10 Dec 2012 10:27:12 -0200

landscape-client (12.11-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Dropped lshw-storm-1053057 patch, already applied.
  * New manpage: landscape-sysinfo(1)
  * Upstream changed a config setting from registration_password to
    registration_key. Adjust scripts and configs accordingly.
  * Install new sample config file in the doc directory.
  * Only depend on python-gnupginterface for releases before Quantal.
  * Ensure ownership of our config file (LP: #1066116).
  * Gearing towards debhelper 7 compatibility. Replaced dh_clean -k with
    dh_prep.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Nov 2012 15:24:20 -0200

landscape-client (12.05-0ubuntu3) raring; urgency=low

  * Drop python-gnupginterface dependency. (LP: #1045237).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 10:55:22 +0000

landscape-client (12.05-0ubuntu2) quantal-proposed; urgency=low

  * Added fix for lshw storm when the client was talking to an old
    Landscape server which was then upgraded (LP: #1053057).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Sep 2012 15:28:37 -0700

landscape-client (12.05-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 01 Jun 2012 17:48:43 -0300

landscape-client (12.04.3-0ubuntu1) precise; urgency=low

  * Warn on unicode entry into settings UI (LP: #956612).
  * Sanitise hostname field in settings UI (LP: #954507).
  * Make it clear that the Landscape service is commercial (LP: #965850)
  * Further internationalize the settings UI (LP: #962899)

 -- David Britton <dpb@canonical.com>  Wed, 28 Mar 2012 10:59:58 -0600

landscape-client (12.04.2-0ubuntu1) precise; urgency=low

  * Depend on python-aptdaemon.gtk3widgets instead of python-aptdaemon and
    replace dependency on python-gobject by python-gi (LP: #961894)
  * Add i18n to the landscape-client-ui-install script. (LP: #961891)

 -- David Britton <dpb@canonical.com>  Thu, 22 Mar 2012 10:10:39 -0600

landscape-client (12.04.1-0ubuntu1) precise; urgency=low

  * Fix default landscape hostname in glib schema.
  * dpkg test improvements to fix intermittent failures.
  * If ssl_public_key is supplied, use it also when fetching script
    attachments. This fixes the case of using script execution with
    attachments when the Landscape server is using a custom CA,
    most common in LDS deployments. (LP: #959846)
  * Make sure we have a PATH variable set before doing package
    activities, and also set it in the initscript for good measure. If
    the client was configured and restarted by the new UI configuration
    tool, PATH wasn't set, triggering an error in dpkg. (LP: #961190)
  * Make landscape-client-ui depend on landscape-client-ui-install, so
    that we get an entry in the system settings if just
    landscape-client-ui is installed. The actual entry comes from
    landscape-client-ui-install.
  * Optimization: when adding binaries, don't reload every repo, only the one
    containing the binaries. (LP: #954822)
  * Handle the case where the user clicks twice inadvertently on the
    Landscape icon in system settings and don't start a second copy of
    itself. (LP: #960211)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2012 16:15:49 -0300

landscape-client (12.04-0ubuntu1) precise; urgency=low

  * d/control: Dropping python-central and python-support since
    they are not used except in backports, and are not in main.

 -- Clint Byrum <clint@ubuntu.com>  Mon, 19 Mar 2012 16:05:49 -0700

landscape-client (12.04-0ubuntu0.12.04.0) precise; urgency=low

  * Change package management features to use APT instead of Smart (LP: #856244,
    #861707, #859615, #861345, #863239, #863259, #865270, #865272, #865285,
    #865273, #871641, #865299, #873196, #873939, #876493, #881973, #882438,
    #866014, #881998, #884142, #884151, #884131, #887037, #886208, #887578,
    #887947, #889067, #889069, #889087, #889099, #865303, #889113, #890605,
    #890606, #890609, #897416, #891855, #898681, #898683, #897656, #898542,
    #862212, #903202, #914734, #914735, #914737, #916301, #915280, #914742,
    #918925, #918175, #919179, #921664, #921699, #922582, #922511, #921712,
    #928750, #932136, #928941, #937411, #937567, #925543, #947803, #952973,
    #948142, #953136, #953906, #956590).
  * Add a GTK interface to configure the client (LP: #911279, #911666, #912163,
    #911665, #916300, #931937, #931937, #943622, #945025, #911279, #944652,
    #948464, #948416, #949158, #911671, #950864, #949208, #949147, #953070,
    #953292, #953463, #953034, #949200, #953026, #954499, #954516, #954285,
    #953065, #954414, #954332, #954542, #955966, #955139, #956030, #956119).
  * Add the ability to auto discover the server location on local deployment
    (LP: #917422, #927620, #917422, #928585, #929087, #932325, #948564)
  * Allow the client to accept arbitrary environment variables from the
    server for script execution (LP: #954999).
  * Make landscape-config exit non-zero when registration fails and
    --ok-no-register is not passed (LP: #271759).
  * Check for the content of /sys/bus/xen/devices to report a machine as a Xen
    VM instead of just relying on the existence of /sys/bus/xen (LP: #921970).
  * Make sure cloud registration succeeds if there is no kernel specified in
    the meta-data service (LP: #920453).
  * Report private and public IP adresses from the metadata service at cloud
    registration time (LP: #918366).
  * Add support for reporting hardware information using lshw (LP: #899002,
    #943975, #955734).
  * Add support for the new attachment service in script execution
    (LP: #893040).
  * Adds a new message type, 'register-provisioned-machine', which is meant
    to register computers using an OTP (LP: #881405).
  * Add local cloning option for load testing (LP: #872830, #925924).
  * Add more variables to preseeding (LP: #863204, #867710).
  * Allow the configuration of the ping interval (LP: #397884).
  * Add fake package reporters for load testing purposes (LP: #821571,
    #821570).
  * Report a package reporter error to the server if no APT sources are
    configured, to trigger a package reporter alert (LP: #823769).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 19 Mar 2012 09:33:34 -0300

landscape-client (11.07.1.1-0ubuntu2) precise; urgency=low

  * Remove build dependency on python-central | python-support for demotion.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 17:25:00 +0100

landscape-client (11.07.1.1-0ubuntu1.11.10.0) oneiric; urgency=low

  * Included missing files (LP: #814223).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Jul 2011 15:40:46 -0300

landscape-client (11.07.1.1-0ubuntu0.11.10.0) oneiric; urgency=low

  * Try to load the old persist file if the current one doesn't exist or is
    empty (LP: #809210).
  * Fallback to gethostname to get something interesting out of get_fqdn.
  * Fix wrong ownership and permissions when the reporter is run as a result
    of applying a repository profile (LP: #804008).
  * Keep original sources.list ownership (LP: #804548).
  * Refactored tests (LP: #805746).
  * Preserve permissions of sources.list (LP: #804548).
  * Added a broker command line option (--record) that saves exchanges with the
    server to the filesystem
  * Detect if running in a vmware guest (LP: #795794).
  * Report VM type when run in the cloud (LP: #797069).
  * Report VM type in non-cloud registration (LP: #795752).
  * Report the package reporter result even in case of success, not just in
    case of failure (LP: #780406).
  * Report package reporter errors (LP: #732490).
  * Fix dependencies for hardy removing references to python 2.4 packages for
    pycurl and dbus (LP: #759764).
  * The landscape client now reports whether it is running on a virtual machine
    or not.
  * Add a plugin which manages APT sources.list and the associated GPG keys
    (LP: #758928).
  * Limit the number of items in a network message to 200, to prevent problems
    when communication is interrupted with the server and the client
    accumulates too many network items, thus overloading the server when it's
    available again (LP: #760486).
  * Updated version number in __init__.py so that the client reports the
    correct one in its user-agent string.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 18 Jul 2011 15:16:18 -0300

landscape-client (11.02-0ubuntu0.11.04.1) natty; urgency=low

  * debian/control, debian/rules: Add quilt
  * debian/patches/fix-landscape-monitor.patch: Fix landscape
    monitoring with gir1.0-gudev-1.0 installed. (LP: #747498)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 08 Apr 2011 09:46:24 -0400

landscape-client (11.02-0ubuntu0.11.04.0) natty; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 01 Mar 2011 15:38:11 -0300

landscape-client (11.01-0ubuntu0.11.04.0) natty; urgency=low

  * New upstream version (LP: #702928)

    - Use a better load check for the sysinfo wrapper, taking into account the
      number of cores (LP: #643565).

    - Add an option to bootstrap cloud instances using cloud-init
      (LP: #701972).

    - Fix packaging for Natty (LP: #688115).

    - Force deletion of all the persist data for the monitoring plugins at
      resynchronization, instead of relying each one of them to do
      (LP: #688161).

    - Don't send the mount-activity message to the server anymore
      (LP: #688514).

    - Workaround a new behavior in NetworkManager where getfqdn would report
      localhost instead of useful hostname (LP: #649142).

 -- Thomas Hervé <thomas.herve@canonical.com>  Fri, 14 Jan 2011 10:11:04 -0600

landscape-client (1.5.5.1-0ubuntu0.10.10.0) maverick; urgency=low

  * The client network plugin would send erroneous data if a network
    interface was removed (and its kernel module removed as well) and
    then readded (LP: #641264).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 20 Sep 2010 13:52:49 -0300

landscape-client (1.5.5-0ubuntu0.10.10.0) maverick; urgency=low

  * New upstream version (LP: #633468)

    - The --help command line option can now be used without being
      root (LP: #613256).

    - The client Unix sockets and symlinks are now cleaned up at shutdown.
      Without this cleaning, the client could refuse to start because of a PID
      collision (LP: #607747).

    - The network traffic plugin didn't use to take into account integer
      overflows. This would cause the plugin to send negative values
      sometimes (LP: #615371).

    - If a payload had many user activities in it, only the last one would be
      carried out (LP: #617624).

    - The Eucalyptus plugin was not enabled by default, which means the Cloud
      Topology feature of Landscape was not available (LP: #614493).

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Sep 2010 15:34:09 -0400

landscape-client (1.5.4-0ubuntu0.10.10.0) maverick; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 28 Jul 2010 08:14:02 +0200

landscape-client (1.5.2.1-0ubuntu0.10.10.0) maverick; urgency=low

  * Include maverick in debian/rules substvars (LP: #596062)
  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Mon, 28 Jun 2010 18:07:18 +0200

landscape-client (1.5.2-0ubuntu0.10.10.0) maverick; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 16 Jun 2010 12:03:50 +0200

landscape-client (1.5.0-0ubuntu0.10.04.1) lucid; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: 562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 21 Apr 2010 12:31:28 +0200

landscape-client (1.5.0-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522688)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 07 Apr 2010 16:27:45 +0200

landscape-client (1.4.4-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Sat, 16 Jan 2010 14:11:32 +0100

landscape-client (1.4.0-0ubuntu0.9.10.0) lucid; urgency=low

  * New upstream release with several bug fixes:
    - Fix landscape daemons fail to start when too many groups are
      available (LP: #456124)
    - Fix landscape programs wake up far too much. (LP: #340843)
    - Fix Package manager fails with 'no such table: task' (LP #465846)
    - Fix test suite leaving temporary files around (LP #476418)

  * Add support for Ubuntu release upgrades:
    - Add helper function to fetch many files at once (LP: #450629)
    - Handle release-upgrade messages in the packagemanager
      plugin (LP: #455217)
    - Add a release-upgrader task handler (LP: #462543)
    - Support upgrade-tool environment variables (LP: #463321)

  * Add initial support for Smart package locking:
    - Detect and report changes about Smart package locks (#488108)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Tue, 01 Dec 2009 09:16:26 +0100

landscape-client (1.3.2.4-0ubuntu0.9.10.0) karmic; urgency=low

  * New upstream release:
    - Catch import errors in the landscape-sysinfo script to prevent
      errors when landscape-sysinfo is run to update the motd during
      upgrade (LP: #349996)
    - Fix a long-standing bug in the client which causes resynchronisations
      on the server (LP: #144475)
    - When downloading hash-id stores, pass possible custom SSL certificates
      to the fetch fuction (LP: #435887)
    - Handle unicode username in custom graphs, and also report missing user
      to the server properly (LP: #406388)
    - Handle a SQlite bug when creating package store database, by making an
      extra query to flush the table cache (LP: #416629)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Fri, 09 Oct 2009 18:21:24 +0200

landscape-client (1.3.2.3-0ubuntu0.9.10.0) karmic; urgency=low

  * New upstream release:
    - Don't clear the hash_id_requests table upon resynchronize (LP #417122)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 26 Aug 2009 15:16:59 +0200

landscape-client (1.3.2.2-0ubuntu0.9.10.3) karmic; urgency=low

  * Drop unsed dependency on libcurl3 and explicitly depend on
    libcurl3-gnutls (>= 7.15.1-1ubuntu3) on dapper (LP: #406885)
  * Add missing debian/landscape-common.config (LP: #410378)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Thu, 30 Jul 2009 15:16:07 +0200

landscape-client (1.3.2.2-0ubuntu0.9.10.2) karmic; urgency=low

  * debian/control: dropping python-pysqlite2 dependency, since this
    package is in universe, and python now has built-in sqlite support,
    LP: #406641

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Jul 2009 17:33:47 -0500

landscape-client (1.3.2.2-0ubuntu0.9.10.1) karmic; urgency=low

  [ Free Ekanayaka ]
  * New upstream release:
    - Include the README file in landscape-client (LP: #396260)
    - Fix client capturing stderr from run_command when constructing
      hash-id-databases url (LP: #397480)
    - Use substvars to conditionally depend on update-motd or
      libpam-modules (LP: #393454)
    - Fix reporting wrong version to the server (LP: #391225)
    - The init script does not wait for the network to be available
      before checking for EC2 user data (LP: #383336)
    - When the broker is restarted by the watchdog, the state of the client
      is inconsistent (LP: #380633)
    - Package stays unknown forever in the client with hash-id-databases
      support (LP: #381356)
    - Standard error not captured when calling smart-update (LP: #387441)
    - Changer calls reporter without switching groups, just user (LP: #388092)
    - Run smart update in the package-reporter instead of having a cronjob (LP: #362355)
    - Package changer does not inherit proxy settings (LP: #381241)
    - The ./test script doesn't work in landscape-client (LP: #381613)
    - The source package should build on all supported releases (LP: #385098)
    - Strip smart update's output (LP: #387331)
    - The fetch() timeout isn't based on activity (#389224)
    - Client can use a UUID of "None" when fetching the hash-id-database (LP: #381291)
    - Registration should use the fqdn rather than just the hostname (LP: #385730)

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 22 Jul 2009 14:54:50 -0400

landscape-client (1.0.29.1-0ubuntu0.9.04.1) karmic; urgency=low

  * debian/control: depend on libpam-modules, rather than update-motd

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jul 2009 11:36:27 -0500

landscape-client (1.0.29.1-0ubuntu0.9.04.0) jaunty; urgency=low

  * Apply a fix for segfault bug involving curl timeouts. (LP: #360510)

 -- Christopher Armstrong <radix@ubuntu.com>  Mon, 13 Apr 2009 14:33:31 -0400

landscape-client (1.0.29-0ubuntu0.9.04.0) jaunty; urgency=low

  * New upstream bugfix release (LP: #358744)
    - Add a timeout to HTTP operations to avoid hanging (LP: #349737)
    - Clean up environment variables on startup to avoid propagating
      variables that will corrupt package installation (LP: #348681)
    - Clean up FDs on startup for the same reason (LP: #352458)
    - Catch and handle certain errors from smart (such as invalid package
      data) to avoid "stuck" Landscape activities (LP: #268745)
    - Don't print warnings meant for developers to the console (LP: #336669)

 -- Christopher Armstrong <radix@ubuntu.com>  Thu, 09 Apr 2009 17:09:50 -0400

landscape-client (1.0.28-0ubuntu1.9.04.0) jaunty; urgency=low

  * Fix minor packaging issues in last release (LP: #343954)
    - Version number in landscape.VERSION is now correct
    - Fixed package version number to maintain convention
  * The following changes are in the 1.0.28 release:
    - Invalidate package cache when server UUID changes (LP: #339948)
    - Improve the "cloud mode" introduced in 1.0.26 to send more
      disambiguation data (LP: #343942) and allow the EC2 user data to specify
      the exchange and ping URLs (LP: #343947)
    - Allow importing of initial configurations (along with public SSL
      certificates) when running landscape-config (LP: #341705)
    - Support a non-root mode which allows running the client without the
      management functionality (LP: #82159)
    - Automatic cloud registration when there's no user-data to specify an OTP
      now works (LP: #344323)

 -- Christopher Armstrong <radix@ubuntu.com>  Thu, 19 Mar 2009 09:52:03 -0400

landscape-client (1.0.28-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #343954)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Mar 2009 20:42:05 +0100

landscape-client (1.0.26.1-0ubuntu0.9.04) jaunty; urgency=low

  * Build for python2.6, include the symlinks in the package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 12:03:23 +0000

landscape-client (1.0.26-0ubuntu0.9.04) jaunty; urgency=low

  * New upstream release (LP: #328151)

 -- Christopher Armstrong <radix@ubuntu.com>  Wed, 11 Feb 2009 17:00:54 +0000

landscape-client (1.0.25-0ubuntu0.9.04) jaunty; urgency=low

  * New upstream release supporting custom graphs (LP: #306360)
    - Multiple custom graphs can be used at the same time (LP: #307314)
    - PATH is now set for scripts in script execution (LP: #257018)
  * debian/landscape-common.postinst: Only chown parts of /var/lib/landscape
    because we now store files in it that should maintain their ownership
    (LP: #307321).
  * debian/landscape-client.postinst: Work around chfn/system user problem
    by not specifying a --gecos (LP: #238755)
  * debian/landscape-client.logrotate: logrotate no longer reports spurious
    errors when the client isn't running (LP: #271767)

 -- Christopher Armstrong <radix@ubuntu.com>  Thu, 11 Dec 2008 17:11:08 -0800

landscape-client (1.0.23-0ubuntu0.8.10.1) intrepid; urgency=low

  * debian/control: Update Replaces to < 1.0.23-0ubuntu0.8.10 to correctly
    replace newer unsplit versions of the landscape package (LP: #285030).

 -- Christopher Armstrong <radix@ubuntu.com>  Fri, 17 Oct 2008 12:42:23 -0400

landscape-client (1.0.23-0ubuntu0.8.10) intrepid; urgency=low

  * New upstream release. (LP: #277658):
    Changes since 1.0.21.1:
    - Don't print duplicate warnings when / is nearing capacity in sysinfo
      (LP: #260230).
    - Slight change to link text in landscape-sysinfo.
    - Don't crash badly when programs are run as the incorrect user
      (LP: #268879).
  * debian/changelog: New debian-version scheme including Ubuntu version. The
    same upstream version is available for all supported releases.
    (LP: #277682).
  * debian/landscape-client.postrm: Delete log and data files upon purge
    (LP: #121182).
  * debian/landscape-common.postrm: Delete the sysinfo logs upon purge.

 -- Christopher Armstrong <radix@ubuntu.com>  Thu, 09 Oct 2008 11:40:51 -0400

landscape-client (1.0.21.1-0ubuntu2) intrepid; urgency=low

  * debian/control: fix bzr url
  * debian/landscape-sysinfo.wrapper: print a timestamp before the sysinfo
    data to ensure appropriate context (LP: #270862)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Sep 2008 17:13:18 -0500

landscape-client (1.0.21.1-0ubuntu1) intrepid; urgency=low

  * New upstream version:
    * Add ok-no-register option to landscape-config script to not fail if
      dbus isn't started or landscape-client isn't running.
    * lower timeout related to package management in landscape.
  * debian/control: Depend on cron.
  * debian/landscape-client.postinst: use ok-no-register option so that the
    postinst script doesn't fail when run from the installer. (LP: #274573).

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 25 Sep 2008 17:54:00 -0400

landscape-client (1.0.21-0ubuntu2) intrepid; urgency=low

  * debian/rules: Install an hourly cron job to update smart package data.
    Thanks to Christopher Armstrong (LP: #268765).
  * debian/control:
    - Move ${misc:Depends} to Depends.
    - Add VCS-* headers.
  * debian/landscape-client.postrm:
    - remove /etc/default/landscape-client when the package is purged.

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 23 Sep 2008 18:19:26 -0400

landscape-client (1.0.21-0ubuntu1) intrepid; urgency=low

  [ Christopher Armstrong ]
  * New upstream release (LP: #271886):
    - Bug fix release:
    - Avoid the PotentialZombieWarning on landscape-client startup.
     (LP: #257346)
    - When run as root, read sysinfo configuration from /etc and and write
      logs to /var/log instead of /root. (LP: #268560)
    - Avoid ZeroDivisionErrors when /home is an autofs. (LP: #269634)
    - Don't corrupt a pid file when trying to start the client when it's
      already running. (LP: #269634)
    - Remove the pid file when shutting down the client. (LP: #257081)

  [ Mathias Gug ]
  * debian/landscape-client.init: specify the pid file and use --startas
    instead of --exec when starting landscape-client so that the init script
    doesn't fail if landscape-client is already running.

 -- Mathias Gug <mathiaz@ubuntu.com>  Fri, 19 Sep 2008 17:28:08 -0400

landscape-client (1.0.18-0ubuntu4) intrepid; urgency=low

  [ Christopher Armstrong ]
  * debian/landscape-common.postinst: Don't blow up when the landscape-sysinfo
    symlinks already exist (LP: #270131)

  [ Mathias Gug ]
  * debian/landscape-common.postinst, debian/landscape-common.prerm: don't
    call update-motd init script as it's no longer available in the
    update-motd package. Call directly /usr/sbin/update-motd instead.
    (LP: #271854)

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 18 Sep 2008 16:47:08 -0400

landscape-client (1.0.18-0ubuntu3) intrepid; urgency=low

  * debian/control: Add Replaces for landscape-common since
    landscape-sysinfo has been moved from -client to -common.

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 16 Sep 2008 17:16:50 -0400

landscape-client (1.0.18-0ubuntu2) intrepid; urgency=low

  [ Mathias Gug ]
  * Split the package into two packages:
    - landscape-common: has the python libraries and the landscape-sysinfo
      command. A landscape account is not required to use this package.
    - landscape-client: has all the binaries required to run the
      landscape-client. Requires a landscape account.
    - debian/control:
      + move some dependencies to landscape-client so that
        landscape-common doesn't install unecessary packages in the
        default -server install.
      + move python-gobject to a Pre-Depends so that landscape-config can
        register the system during the postinst (LP: #268838).
  * debian/control:
    - depend on python-smartpm instead of smartpm-core.
  * debian/landscape-client.postrm: delete /etc/landscape/client.conf when
    the package is purged.
  * debian/landscape-client.postinst: remove sysinfo_in_motd debconf question
    as it wasn't used.

  [ Christopher Armstrong ]
  * Fixes for (LP: #268352).
    - scripts/landscape-sysinfo.wrapper: New script to run landscape-sysinfo
      with leading whitespace.
    - debian/rules: Install wrapper into /usr/share/landscape.
    - debian/landscape-client.postinst: Link wrapper into place.

 -- Mathias Gug <mathiaz@ubuntu.com>  Mon, 15 Sep 2008 17:21:53 -0400

landscape-client (1.0.18-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Rick Clark <rick.clark@ubuntu.com>  Mon, 08 Sep 2008 16:35:57 -0500

landscape-client (1.0.17-0ubuntu1) intrepid; urgency=low

  [ Dustin Kirkland and Rick Clark ]
  * debian/compat: updated to 6.
  * debian/config: initial debconf config.
  * debian/control: reformatted depends and changed smartpm-core version;
    changed Standards-Version to 3.8.0; added adduser to depends as needed by
    postinst and postrm; updates smartpm-core dep to >1.0; moved most build
    deps to Build-Depends-Indep; add po-debconf build dependency; added
    debconf hooks for installing landscape-sysinfo as an update-motd or
    profile.d script.
  * debian/copyright: updated copyright date; removed incorrect symlink to
    GPL-3; added Dustin and Rick to the packaging credits.
  * debian/landscape-client.init: removed S from stop; rewritten to be more
    lsb/Debian compliant; added status action; fixed whitespacing
    inconsistency; use $NAME whenever possible; comment why we're not using
    status_of_proc().
  * debian/landscape-client.lintian-overrides: added with two overrides
  * debian/landscape-client.overrides: removed.
  * debian/landscape-client.prerm: initial creation, remove landscape-sysinfo
    update-motd or profile.d script, if any exists.
  * debian/landscape-client.postinst: fixed deprecated chmod call; changed
    home dir of landscape user; removed uneeded update-rc.d; added code to
    handle debconf; created a function for retrieving values from ini config;
    /usr/share/debconf/comfmodule to top of postinst; add db_stop back in.
  * debian/landscape-client.postrm: added debhelper tag.
  * debian/rules: added po debconf bits for translation; depend on update-motd.
  * debian/pycompat: initial creation.
  * debian/po/POTFILES.in, debian/po/templates.pot: initial creation.
  * man/txt2man, man/*.txt: removed; manpages should *really* be in native
    format.
  * man/landscape-client.1, man/landscape-config.1, man/landscape-message.1:
    manpages in roff format, initially created by txt2man, some minor tweaks
    to the title and such.

  [ Gustavo Niemeyer ]
  * New Upstream release
  * Fix copyright dates in debian/copyright
  * fix the chown call to use a colon
  * Fixed missing $PACKAGES variable in postinst
  * Implemented support for configuration the computer title via debconf

  [ Kees Cook ]
  * removed unused debian/autoppa-switch.
  * fixed debian/landscape-client.init to run log_end_msg in the right place.
  * debian/landscape-client.postrm: rewrote to allow debhelper to do its
    job, fixed deluser call.
  * debian/landscape-client.postinst: rewrote to allow debhelper to do its
    job, fixed use of adduser.
  * debian/rules: use "install" instead of "cp", dropped lintian overrides.
  * debian/changelog: drop redundant changelog entries.

  [ Rick Clark ]
  * removed .override file
  * removed .autoppa files

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 04 Sep 2008 13:28:14 -0500

landscape-client (1.0.16-intrepid1-landscape1) intrepid; urgency=low

  * landscape-config can now be run in a non-interactive mode

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 8 Aug 2008 14:34:43 +0000

landscape-client (1.0.15-intrepid1-landscape1) intrepid; urgency=low

  * introduce a basic landscape-sysinfo tool
  * properly report a script execution error if its exit status is not
    zero

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 7 Aug 2008 18:33:41 +0000

landscape-client (1.0.14-intrepid1-landscape1) intrepid; urgency=low

  * fixed some dbus errors in some of the supported distributions
  * added restart/shutdown plugin
  * scripts can now have accented characters in them

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Jul 2008 13:06:34 +0000

landscape-client (1.0.13-hardy1-landscape1) hardy; urgency=low

  * the timestamp in the error message from processkiller.py is now
    formatted properly
  * the process list sent to the server was only being updated for new
    processes, and not when existing processes changed
  * in script execution, a timeout error is now reported with a proper
    error message instead of just a generic failure in the script

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 10 Jul 2008 14:24:15 +0000

landscape-client (1.0.12-hardy1-landscape1) hardy; urgency=low

  * the sleep average value of a process is no longer provided by recent
    kernels. The client now computes and sends the CPU usage instead.
  * initial directory for script execution is now the target user's home
    directory and, if that is unavailable, /. Previously it was /root.
  * new user creation was ignoring some extra fields such as Location and
    phone numbers
  * the machine uptime was incorrectly reported after a logrotate run and if
    there was no reboot afterwards. This affected the process listing page in
    the web interface, where processes would show up as having been started
    around 1970.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 26 Jun 2008 16:17:59 +0000

landscape-client (1.0.11-hardy1-landscape1) hardy; urgency=low

  * fixed a regression where an important fix was missing from the
    new staging branch

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Jun 2008 14:45:08 +0000

landscape-client (1.0.10-hardy1-landscape1) hardy; urgency=low

  * Change the utilisation of the csv module to be compatible with
    python 2.4 as used in Dapper.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 12 Jun 2008 17:58:05 +0000

landscape-client (1.0.9-hardy1-landscape1) hardy; urgency=low

  * restrict users and groups list to local ones only, i.e., /etc/passwd
    and /etc/group
  * fixed some tests that were failing in locales other than english

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 11 Jun 2008 15:16:12 +0000

landscape-client (1.0.4-hardy1-landscape1) hardy; urgency=low

  * fixed permissions and ownership of some files and directories which could
    prevent package data from being uploaded to the Landscape server
  * fixed a problem where the root user password could not be changed
  * the watchdog.log log file is now also rotated

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 16 Apr 2008 17:21:20 +0000

landscape-client (1.0-hardy1-landscape4) hardy; urgency=low

  * Memory consumption has is improved.  The client's functionality is
    now broken up into a number of sub-processes.  Functionality that
    would previously use or leak memory, such as package management,
    run in independent processes that exit when they complete so the
    OS can reclaim the memory.
  * Security is improved with this design.  Monitoring plugins run as
    the unpriviledged landscape user while management functions run as
    root.
  * Secure inter-process communication occurs over DBUS.

 -- Michel Pelletier <pelletier.michel@gmail.com>  Wed, 27 Feb 2008 22:57:21 +0000

landscape-client (0.17.0-hardy1-landscape1) hardy; urgency=low

  * The client now reports the primary group for users.  I can also
    modify it when requested by the server (#122212).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Wed, 21 Nov 2007 19:14:29 +0000

landscape-client (0.16.0-hardy1-landscape1) hardy; urgency=low

  * The client no longer schedules an urgent exchange if it detects
    that the server has not processed any messages in its most recent
    exchange (#138135).
  * The total number of pending messages are sent to the server to
    make it possible to generate backlog statistics (#162733).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Wed, 14 Nov 2007 23:09:58 +0000

landscape-client (0.15.0-gutsy1-landscape1) gutsy; urgency=low

  * Support for http_proxy and https_proxy variables in the
    configuration file and in the interactive setup, as well as
    --http-proxy and --https-proxy parameters is available (#151690).
  * The client gracefully fails when unknown request-ids for
    package-related operations are received (#151085).
  * Child devices that have been removed are not reported when one of
    their ancestors is also reported for deletion by the hardware
    inventory plugin (#136497).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 26 Oct 2007 23:23:20 +0000

landscape-client (0.14.0-gutsy1-landscape1) gutsy; urgency=low

  * Failures that would occur is a user wasn't in the shadow file are
    fixed (#102071).
  * Whitespace surrounding process command-line names is removed
    before they are reported to the server (#149112).
  * Test failures, some related to DBUS on gutsy, are fixed.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 25 Oct 2007 00:03:06 +0000

landscape-client (0.13.0-gutsy1-landscape1) gutsy; urgency=low

  * When unknown package IDs are sent by the server message handling
    is postponed until the client is aware of the unknown IDs
    (#128796).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Wed, 17 Oct 2007 17:36:11 +0000

landscape-client (0.12.2-gutsy1-landscape1) gutsy; urgency=low

  * The client now reports it's version correctly.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 11 Oct 2007 21:32:24 +0000

landscape-client (0.12.1-gutsy1-landscape1) gutsy; urgency=low

  * A critical bug that would break configure-landscape is fixed.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 9 Oct 2007 21:10:02 +0000

landscape-client (0.12.0-gutsy1-landscape7) gutsy; urgency=low

  * Fixed typo in version string.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Sat, 6 Oct 2007 00:49:10 +0000

landscape-client (0.12.0-gutsy1-landscape6) gutsy; urgency=low

  * Updated Depends to require new smartpm-core 0.52 packages.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 5 Oct 2007 23:23:17 +0000

landscape-client (0.12.0-gutsy1-landscape5) gutsy; urgency=low

  * No upstream changes.  New package build.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 4 Oct 2007 22:35:50 +0000

landscape-client (0.12.0-gutsy1-landscape4) gutsy; urgency=low

  * Updated package requires current version of smartpm-core.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 2 Oct 2007 21:37:56 +0000

landscape-client (0.11.0-gutsy1-landscape1) gutsy; urgency=low

  * The full command name for a process, where retrievable, is
    reported to the server instead of just the first 16 characters
    (#131878).
  * The historic process plugin, unused for months, has been removed
    (#134122).
  * A new landscape-message command-line program is available.  It
    allows administrators to send messages from a console that end up
    in the account history (#125083).
  * The landscape-client.log file is now logrotated regularly
    (#78494).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 13 Sep 2007 00:05:43 +0000

landscape-client (0.10.15-gutsy1-landscape1) gutsy; urgency=low

  * THIS IS A TEST BUILD!
  * The full command name, where retrievable, is reported to the
    server instead of just the first 16 characters (#131878).
  * The historic process plugin, unused for months, has been removed
    (#134122).
  * A new landscape-message command-line program is available.  It
    allows administrators to send messages from a console that end up
    in the account history (#125083).
  * The landscape-client.log file is now logrotated regularly
    (#78494).

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Wed, 12 Sep 2007 22:48:19 +0000

landscape-client (0.10.12-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Package Depends updated to use new smartpm-0.51-landscape4
    package.  This makes the package installable on Ubuntu systems
    with only the main repository enabled.

 -- Landscape Team <landscape-team@canonical.com>  Tue, 7 Aug 2007 16:08:00 -0700

landscape-client (0.10.11-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * A bug related to package dependency reporting that would cause two
    approvals for and upgrade package request has been fixed.
  * Errors with the ping server are logged clearly now.
  * A crashing postinit-related bug is fixed.

 -- Landscape Team <landscape-team@canonical.com>  Fri, 3 Aug 2007 19:15:00 -0700

landscape-client (0.10.10-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * CA certificates are no longer hard-coded.  The default set of CAs
    in the system are used instead.
  * The client connects to the server immediately when it detects
    changes in packages and users.  This dramatically reduces the
    turn-around time of some operations.
  * The new user and group change detection reports detailed
    information to the server about changes made external to the
    client, such as by local users.
  * The client reports detailed information about the outcome of user
    and group operations.
  * The client has support for a new synchronization system.  If
    either the server or client detect inconsistencies in the data
    they have they can request a synchronization to get back in sync.
  * The client has support to calculate and report package upgrades.
  * The hostname is reported when clients first register with the
    server.
  * A new configure-landscape script eases registration including
    automated and interactive registration modes.
  * The client includes VM size and sleep average in active process
    data.

 -- Landscape Team <landscape-team@canonical.com>  Thu, 28 Jun 2007 16:19:00 -0700

landscape-client (0.10.9-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Package depends on python-gdbm to install correctly on systems
    without it.

 -- Landscape Team <landscape-team@canonical.com>  Fri, 8 Jun 2007 11:02:00 -0700

landscape-client (0.10.8-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * The changes that included the new configure-landscape helper
    script have been removed.  They were not quite ready for release.
  * Added python-twisted-web to Debian package Depends to satisfy
    dependencies introduced by the new ping plugin.

 -- Landscape Team <landscape-team@canonical.com>  Thu, 7 Jun 2007 11:03:00 -0700

landscape-client (0.10.7-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Package depends on new smartpm-core package which installs
    correctly on dapper.

 -- Landscape Team <landscape-team@canonical.com>  Wed, 6 Jun 2007 10:37:00 -0700

landscape-client (0.10.6-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Mispelled smartpm-core version is fixed.

 -- Landscape Team <landscape-team@canonical.com>  Mon, 1 Jun 2007 10:48:00 -0700

landscape-client (0.10.5-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Mismatched operation status codes are fixed.

 -- Landscape Team <landscape-team@canonical.com>  Thu, 31 May 2007 15:36:00 -0700

landscape-client (0.10.4-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Links to a new version of smart with a fixed crontab entry.

 -- Landscape Team <landscape-team@canonical.com>  Tue, 22 May 2007 23:29:00 -0700

landscape-client (0.10.3-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * A bug related to bpickle conversions with float-point values is
    fixed (#114829).

 -- Landscape Team <landscape-team@canonical.com>  Mon, 15 May 2007 16:31:00 -0700

landscape-client (0.10.2-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * New package includes previously missing package management plugin.

 -- Landscape Team <landscape-devel@lists.canonical.com>  Fri, 11 May 2007 10:20:00 -0700

landscape-client (0.10.1-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Minor fix in package management plugin timings.

 -- Landscape Team <landscape-devel@lists.canonical.com>  Thu, 10 May 2007 10:00:00 -0700

landscape-client (0.10.0-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Basic package management operations are now supported.  The client
    reports package information to the server and can install and/or
    remove packages.
  * The client uses the new operations system.  Support for the now
    unused action info system is gone.
  * A minor bpickle bug was fixed.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Mon, 7 May 2007 20:16:00 -0700

landscape-client (0.9.6-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Bugs related to the handling of DBus types are fixed on feisty.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 13 Apr 2007 18:06:10 -0700

landscape-client (0.9.5-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Old-school and oddly formatted GECOS fields are handled correctly.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 30 Mar 2007 16:50:49 -0400

landscape-client (0.9.4-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Change architecture to all.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 30 Mar 2007 12:46:23 -0400

landscape-client (0.9.3-1ubuntu1) feisty; urgency=low

  * New upstream release.
  * Add override file.
  * Bump application and package versions.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 29 Mar 2007 17:21:50 -0400

landscape-client (0.9.2-1ubuntu1) feisty; urgency=low

  * Bump debhelper version.
  * Build-Depend on python-dev, lsb-release.
  * Pre-Depend on debconf | debconf-2.0.
  * Move ${python:Depends} to Depends.
  * Make the packaging compatible with dapper and newer distro releases.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Mar 2007 21:21:20 +0200

landscape-client (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Really fixed package.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 21 Mar 2007 09:57:00 -0400

landscape-client (0.9.1-3) unstable; urgency=low

  * Really fixed package.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 20 Mar 2007 16:35:00 -0400

landscape-client (0.9.1-2) unstable; urgency=low

  * Fixed package.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 20 Mar 2007 16:25:00 -0400

landscape-client (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * bpickle encoding format has changed in a non-backwards compatible
    way to fix float encoding-related problems.
  * API version updated to 2.0.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 20 Mar 2007 15:06:17 -0400

landscape-client (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Group-management related tasks such as add/remove member and
    create group are now supported.
  * Client reports hardware inventory information to the server.
  * Unicode handling with regards to the passwd file is improved.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 9 Mar 2007 16:04:51 -0800

landscape-client (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Account registration log message no longer exposes account
    password.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 18 Jan 2007 23:07:00 -0800

landscape-client (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Process monitoring logic stops trying to restart the client if too
    many restarts occur during a short period of time.
  * Client includes an SSL certificate to verify the server with.
  * Package depends on python2.4-pycurl, which is necessary for the
    new SSL support.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 18 Jan 2007 10:48:00 -0800

landscape-client (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Client can daemonize itself and perform basic process monitoring.
  * Client writes a useful log now.  Command-line options have been
    added to control log verbosity.
  * Package depends on perl-modules, which is necessary for bare-bones
    server installs.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Tue, 2 Jan 2007 12:54:00 -0800

landscape-client (0.6.1-1) unstable; urgency=low

  * User management plugin handles extra Ubuntu user fields.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 15 Dec 2006 10:22:00 -0800

landscape-client (0.6.0-2) unstable; urgency=low

  * Reverted to deprecated build rule to fix package breakage on
    dapper.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Thu, 7 Dec 2006 10:54:00 -0800

landscape-client (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * The active-process-info plugin provides server-controllable
    end/kill actions.
  * Messages are no longer delivered twice if a broken message gets
    into the message store.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Wed, 6 Dec 2006 14:47:00 -0800

landscape-client (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Client-to-server exchanges now happen in a thread to avoid
    blocking monitoring plugins.
  * Problems that caused slow client registration have been fixed.
  * The computer-info plugin now reports information about the
    distribution installed on a machine.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 10 Nov 2006 12:47:00 -0800

landscape-client (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Disk, load, memory/swap and temperature data is now reported at
    300s-aligned intervals.
  * Improvements to registration system.
  * Improvements to plugin infrastructure.

 -- Jamshed Kakar <jamshed.kakar@canonical.com>  Fri, 13 Oct 2006 09:25:00 -0300

landscape-client (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Major reorganization of client code.

 -- Christopher Armstrong <radix@canonical.com>  Tue, 22 Aug 2006 09:56:00 -0400

landscape-client (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Fix a bug in the newly introduced client upgrade machinery.

 -- Christopher Armstrong <radix@canonical.com>  Wed, 4 Aug 2006 10:45:00 -0500

landscape-client (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * User management should now be working.

 -- Christopher Armstrong <radix@canonical.com>  Wed, 3 Aug 2006 15:12:00 -0500

landscape-client (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed a bug in the init script preventing landscape-client from
    starting after reboots.

 -- Christopher Armstrong <radix@canonical.com>  Wed, 26 Jul 2006 15:47:00 -0500

landscape-client (0.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Christopher Armstrong <radix@canonical.com>  Thu, 6 Jul 2006 18:38:00 -0500

landscape-client (0.2.1-1) unstable; urgency=low

  * Added support for debconf.

 -- Gustavo Niemeyer <gustavo@niemeyer.net>  Wed, 5 Jul 2006 14:13:25 -0300

landscape-client (0.2.0-1) unstable; urgency=low

  * Initial (internal) release.

 -- Christopher Armstrong <radix@canonical.com>  Wed, 28 Jun 2006 14:32:30 -0500

landscape-client (0.1) dapper; urgency=low

  * Empty placeholder package

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 26 May 2006 06:37:55 -0700
